List Helm Chart Versions
GET
/deployments/helm-chart-versions
const url = 'https://api.mengi.cloud/deployments/helm-chart-versions?repo_url=example&chart_name=example&limit=10';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.mengi.cloud/deployments/helm-chart-versions?repo_url=example&chart_name=example&limit=10'List available versions for a Helm chart.
Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” repo_url
required
Repo Url
string
chart_name
required
Chart Name
string
limit
Limit
integer
Responses
Section titled “ Responses ”Successful Response
Media type application/json
Example generated
exampleValidation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}